eZ Community » Security Advisories » EZSA-2018-005: Passwordless login for...

EZSA-2018-005: Passwordless login for LDAP users

Publication date : 31/10/2018
Severity : High
Affected versions : v2018.09.1, v2018.06.1.1, v2017.12.4, 5.4, 5.3, all community versions at time of writing (legacy only)
Resolving versions : v2018.09.1.1, v2018.06.1.2, v2017.12.4.1, 5.4.12.1, 5.3.12.4

This security advisory fixes a vulnerability in eZ Publish Legacy, and we recommend that you install it as soon as possible if you are using Legacy.

Installations that are using the legacy LDAP login handler or the TextFile login handler in combination with the standard legacy login handler, may in rare cases be vulnerable to a failure of the standard login handler to verify passwords correctly, allowing unauthorised access.

If your installation has never used the LDAP or TextFile login handlers, or never used legacy login at all, then it is not affected. Still, we recommend installing the update, to be on the safe side.

To install, use Composer to update to one of the "Resolving versions" mentioned above, or apply this patch manually:
https://github.com/ezsystems/ezpublish-legacy/commit/13f03a2be6c0ee4d0caaafaef05904ea9b0c4d9d

Have you found a security bug in eZ Publish or eZ Platform? See how to report it responsibly here: https://doc.ez.no/Security

36 542 Users on board!

Community Project menu

Proudly Developed with from